# Импортируем необходимые модули
from amperka_pico_imu_10dof import icm20948
import time
import math

# Печатаем тестовую строку в консоль
print("Accelerometer Test Program")
# Создаём объект для работы с IMU-сенсором
imu=icm20948.ICM20948()

# Выводим ускорения свободного падения относительно осей X, Y и Z в «сырых значениях»
# Выводим ускорения свободного падения относительно осей X, Y и Z в G 
# Выводим ускорения свободного падения относительно осей X, Y и Z в м/с²
while True:
    accelerometer = imu.read_accelerometer()
    accelerometer_g = imu.read_accelerometer_g()
    accelerometer_a = imu.read_accelerometer_a()
    print(f"Accelerometer (Raw):\t{accelerometer}")
    print(f"Accelerometer (G):\t{accelerometer_g}")
    print(f"Accelerometer (A):\t{accelerometer_a}")
    print()
    time.sleep(0.1)
