# Импортируем необходимые модули
import time
from amperka_pico_imu_10dof import lps22hb

# Печатаем тестовую строку в консоль
print("Pressure Sensor Test Program")
# Создаём объект для работы с барометром
barometer = lps22hb.LPS22HB()

# Выводим атмосферное давление, температуру и высоту над уровнем моря
while True:
    pressure = barometer.read_pressure_millimeters_hg()
    temperature = barometer.read_temperature_c()
    altitude = barometer.read_altitude()
    print(f"Pressure {round(pressure,2)} mmHg")
    print(f"Temperature {round(temperature,2)} °C")
    print(f"Altitude {round(altitude,2)} m\n")
    time.sleep(1)