# Импортируем необходимые модули
from amperka_pico_imu_10dof import icm20948
import time
import math

# Печатаем тестовую строку в консоль
print("IMU-sensor Test Program")
# Создаём объект для работы с IMU-сенсором
imu=icm20948.ICM20948()

# Выводим ускорения свободного падения относительно осей X, Y и Z в м/с²
# Выводим угловую скорость относительно осей X, Y и Z в градусах в секунду
# Выводим значения напряженности магнитного поля по осям X, Y, Z в «мкТс»
while True:
    accelerometer = imu.read_accelerometer_a()
    gyroscope = imu.read_gyroscope_deg()
    magnetometer = imu.read_magnetometer_uT()
    print(f"Accelerometer:\t{accelerometer}")
    print(f"Gyroscope:\t{gyroscope}")
    print(f"Magnetometer:\t{magnetometer}")
    print()
    time.sleep(0.1)